Bug 492042 - anaconda detection disk dmraid
anaconda detection disk dmraid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:9724f3657551f60c8...
: Reopened
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-03-24 22:24 EDT by Nicolas Chauvet (kwizart)
Modified: 2013-01-10 00:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 11:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (29.54 KB, text/plain)
2009-03-24 22:24 EDT, Nicolas Chauvet (kwizart)
no flags Details

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-03-24 22:24:41 EDT
The following was filed automatically by anaconda:
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicetree.py", line 1273, in addUdevDevice
    disk_name = re.sub(r'p\d+$', protected)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1486, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 265, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 90, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
TypeError: sub() takes at least 3 arguments (2 given)
Comment 1 Nicolas Chauvet (kwizart) 2009-03-24 22:24:49 EDT
Created attachment 336578 [details]
Attached traceback automatically from anaconda.
Comment 2 Hans de Goede 2009-03-25 05:37:55 EDT
This is fixed by this commit:
http://git.fedorahosted.org/git/?p=anaconda.git;a=commitdiff;h=bb4fb4f4288bab359d35464edb75871efc8d350c

Which unfortunately will not be in the Beta. You can avoid this error, by
not doing an install from an install tree on a local harddisk, and not doing a livecd install.

Or you can use this updates.img:
http://people.atrpms.net/~hdegoede/updates.img
Comment 3 James Laska 2009-03-25 12:18:57 EDT
Reopening and moving to MODIFIED pending test results and a F-11-Beta build
Comment 4 Adam Williamson 2009-04-22 12:59:08 EDT
reporter, or james, can you confirm this fix? the bug is on the preview blocker list.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Jesse Keating 2009-05-11 11:29:50 EDT
I did multiple dmraid installs after the beta, I would think that this is fixed then.  I'm going to close it, we can re-open or file a new bug if there is a new problem.

Note You need to log in before you can comment on or make changes to this bug.